%define oname   wise
%define rel	7

Name:		wise2
Version:	2.4.1
Release:	%mkrel %{rel}
Summary:	Comparisons of DNA and protein sequences
Group:		Sciences/Biology
License:	GPL
URL:		http://www.ebi.ac.uk/~birney/wise2
Source:		http://www.ebi.ac.uk/~birney/wise2/%{oname}%{version}.tar.gz
Patch0:		fix_getline.patch
Patch1:		wise2.4.1-replace-isnumber.patch
Patch2:		wise2.4.1-fix-makefile.patch
Patch3:		wise2.4.1-clean-makefile.patch
BuildRequires:	libglib2.0-devel
BuildRequires:	flex
Obsoletes:	wise = 2.4.1-3.mga5

%description
Wise2 is a package focused on comparisons of biopolymers, commonly DNA and 
protein sequence. Wise2's particular forte is the comparison of DNA sequence 
at the level of its protein translation. This comparison allows the simulta-
neous prediction of say gene structure with homology based alignment.

The Wise2 package was principally written by Ewan Birney, who wrote the main
genewise and estwise programs. The protein comparison database search program
was written by Richard Copley using the underlying Wise2 libraries.
Wise2 also uses code from Sean Eddy for reading HMMs and
for Extreme value distribution fitting.

%prep
%setup -q -n %{oname}%{version}
%patch0	-p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
cd src
%make all || :
cd ../src/dyc/
%make newdyc || :
export PATH="$PATH:$PWD"
%make linux
cd ../../src
export WISECONFIGDIR="$PWD/../wisecfg"
%make init
%make CFLAGS="-c $RPM_OPT_FLAGS `pkg-config --libs glib-2.0 --cflags glib-2.0`" all

%install

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 src/models/{pswdb,psw,genewisedb,estwisedb,estwise,genewise,dba,dnal,genomewise} %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_datadir}/%{oname}
install -m 644 wisecfg/* %{buildroot}%{_datadir}/%{oname}

# configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/profile.d
echo "export WISECONFIGDIR=%{_datadir}/%{oname}" > %{buildroot}%{_sysconfdir}/profile.d/%{oname}.sh
echo "setenv WISECONFIGDIR %{_datadir}/%{oname}" > %{buildroot}%{_sysconfdir}/profile.d/%{oname}.csh

%files
%doc README LICENSE docs
%{_bindir}/*
%{_datadir}/%{oname}
%config(noreplace) %{_sysconfdir}/profile.d/*


%changelog
* Sun Mar 06 2016 pterjan <pterjan> 2.4.1-7.mga6
+ Revision: 986869
- Obsolete duplicate package wise

* Mon Feb 01 2016 umeabot <umeabot> 2.4.1-6.mga6
+ Revision: 930870
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.1-5.mga5
+ Revision: 740568
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.1-4.mga5
+ Revision: 690323
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - rename spec file to match package name

* Sun Jun 08 2014 dmorgan <dmorgan> 2.4.1-3.mga5
+ Revision: 634735
- Rename to be coherent with the software name

* Fri Oct 18 2013 umeabot <umeabot> 2.4.1-3.mga4
+ Revision: 520200
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.4.1-2.mga3
+ Revision: 385718
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 07 2012 dams <dams> 2.4.1-1.mga2
+ Revision: 221262
- new version 2.4.1
- update and clean spec file

* Tue Mar 29 2011 ennael <ennael> 2.2.0-9.mga1
+ Revision: 78754
- clean spec file
- imported package wise


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.0-9mdv2011.0
+ Revision: 615450
- the mass rebuild of 2010.1 packages

* Mon Mar 15 2010 Eric Fernandez <zeb@mandriva.org> 2.2.0-8mdv2010.1
+ Revision: 519888
- rebuild

* Wed Aug 19 2009 Eric Fernandez <zeb@mandriva.org> 2.2.0-7mdv2010.0
+ Revision: 417945
- compilation fix

* Wed May 06 2009 Eric Fernandez <zeb@mandriva.org> 2.2.0-6mdv2010.0
+ Revision: 372448
- rebuild

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2.2.0-5mdv2008.1
+ Revision: 140932
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Eric Fernandez <zeb@mandriva.org> 2.2.0-5mdv2008.0
+ Revision: 60257
- version number fix


* Tue Dec 19 2006 Eric Fernandez <zeb@mandriva.org> 2.2.0-4mdv2007.0
+ Revision: 100256
- Import wise

* Mon Jun 26 2006 Eric Fernandez <zeb@zebulon.org.uk> 2.2.0-4mdv2007.0
- rebuild
- use mkrel

* Fri Jul 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.0-3mdk
- spec cleanup

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.0-2mdk 
- rpmbuildupdate aware

* Sat Jan 24 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.2.0-1mdk
- first mdk release, after a spec file stolen from Luc Ducazu <luc@biolinux.org>

